Enables agents to create a scheduled callback from a third-party application, such as a CRM, via the API. Agents are identified by their email in the agent field.
{
"contact_number": "1234567890",
"agent": "agent@email.com",
"time_zone": "Asia/Almaty",
"scheduled_time": "2024-01-01T10:00:00Z",
"context_notes": "Customer was busy, asked to callback later",
"cid_group": "CID group for Abc region",
"related_call_id": "046296f8-ac21-4c02-a85d-92a6578dd2ea",
"external_contact_id": "2",
"external_system_id": "Abc CRM"
}{
"contact_number": "-a-(234)-321",
"agent": "agent@emailcom",
"time_zone": "It is not a time zone",
"scheduled_time": "2020-01-01T12:34:56Z",
"context_notes": "very important note, but includes more than 64 chars, because it's an example",
"cid_group": "CID group for Abc region"
}Contact phone number for callback
Agent username(email) used for sign-in
Customer's IANA time zone. If not provided, Agent's time zone is set by default
Desired date and time, within 30 days, 08:00-22:00, 30-min intervals, 00 seconds in iso8601 format
Agent's context notes, with a maximum of 64 characters for adding relevant information
CID group label that will be applied to this callback. If not provided, the Default CID Group is set by default
The UUID of the call from which the callback was scheduled
Foreign Key to CRM record of contact
CRM name
All parameters are valid and the Scheduled Callback was created
{
"id": 1
}An invalid API key was passed or user not found
{
"error": "The API key specified is invalid"
}No access to Scheduled Callback feature
{
"error": "Scheduled Callbacks feature is disabled"
}{
"error": "Agent does not have access"
}Body params are invalid
{
"errors": {
"agent": [
"agent is missing"
],
"contact_number": [
"phone number is missing"
],
"scheduled_time": [
"scheduled time is missing"
]
}
}{
"errors": {
"agent": [
"test@email.com does not exist"
]
}
}{
"errors": {
"cid_group": [
"CID group for Abc region does not exist"
]
}
}{
"errors": {
"context_notes": [
"is too long (maximum is 64 characters)"
]
}
}{
"errors": {
"time_zone": [
"is not included in the list"
]
}
}{
"errors": {
"scheduled_time": [
"incorrect format. Use YYYY-MM-DDThh:mm:ssTZD (iso8601)"
]
}
}{
"errors": {
"scheduled_time": [
"should be in the future, but less than 30 days from now",
"hours should be between 8 and 22 hours in the specified time zone",
"minutes should be either 00 or 30",
"seconds should be 00"
]
}
}{
"errors": {
"scheduled_time": [
"minutes should be either 15 or 45"
]
}
}Too many requests